---
import PrincipalNav from '@components/PrincipalNav.astro';
import '@styles/global.css';
import '@styles/home.css';

// The content for page metadata & Open Graph metadata:
const canonicalURL = new URL(Astro.url.pathname, Astro.site);
const metaTitle = "Filosofia";
const metaDescription = "Um website sobre filosofia.";
const metaCanonicalURL = canonicalURL.href;
const metaType = "website";
const metaImage = canonicalURL.origin + "/images/Rembrandt_-_The_Philosopher_in_Meditation.jpg";
---

<html lang="pt">

  <head>
    <title>{metaTitle}</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width">
    <meta name="description" content={metaDescription}>
		<meta property="og:title" content={metaTitle} />
    <meta property="og:description" content={metaDescription}>
		<meta property="og:type" content={metaType} />
		<meta property="og:url" content={metaCanonicalURL} />
		<meta property="og:image" content={metaImage} />
		<meta name="twitter:card" content="summary_large_image" />
    <link rel="icon" type="image/x-icon" href="/favicon.ico" />
  </head>

	<body>

		<main>

			<img
				src="/images/Rembrandt_-_The_Philosopher_in_Meditation.jpg"
				alt="Filósofo em Meditação, de Rembrandt Harmenszoon van Rijn"
			/>

			<p id="about">Este é um site sobre filosofia.</p>

			<PrincipalNav />

		</main>

	</body>

</html>
